package org.sky.scientific.excel.annotation;

import jakarta.validation.Constraint;
import jakarta.validation.Payload;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Target({ElementType.FIELD})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = NumericValidator.class)
public @interface ValidNumeric {
	String message() default "必须是有效的数字";
	boolean nullable() default false;
	String defaultValue() default "0";
	Class<?>[] groups() default {};
	Class<? extends Payload>[] payload() default {};
}


